
TYPO3.Flow - Bug # 48290

Status: Resolved Priority: Could have
Author: Dominique Feyer Category:
Created: 2013-05-16 Assigned To:
Updated: 2014-03-19 Due date:
PHP Version:
Has patch: Yes
Complexity:
Affected Flow version: Git master
Subject: Browser must not directly handle cookie
Description

Currently the Browser class has a property cookies (not used), and use a wrong signature for the method Request::create (line 100). I
think this property can be removed.

Associated revisions
Revision 32283a2a - 2013-12-13 15:28 - Dominique Feyer

[BUGFIX] Browser must not directly handle cookie

Request::create() doesn't support "cookies" parameter.

Cookie argument has been removed from Request::create
with change Icdf7fea74d8331abcf95f1ec361abc78e31bfb8c.

Change-Id: If74e142f5fb436cfcde39f2e6e2dae080b19793e
Releases: master, 2.0, 2.1
Fixes: #48290

Revision bb9161f4 - 2013-12-13 15:36 - Dominique Feyer

[BUGFIX] Browser must not directly handle cookie

Request::create() doesn't support "cookies" parameter.

Cookie argument has been removed from Request::create
with change Icdf7fea74d8331abcf95f1ec361abc78e31bfb8c.

Change-Id: If74e142f5fb436cfcde39f2e6e2dae080b19793e
Releases: master, 2.0, 2.1
Fixes: #48290

Revision b8b11424 - 2014-01-16 10:50 - Dominique Feyer

[BUGFIX] Browser must not directly handle cookie

Request::create() doesn't support "cookies" parameter.
Cookie argument has been removed from Request::create
with change Icdf7fea74d8331abcf95f1ec361abc78e31bfb8c.

Change-Id: If74e142f5fb436cfcde39f2e6e2dae080b19793e
Releases: master, 2.0, 2.1
Fixes: #48290

History
#1 - 2013-05-16 17:07 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20830

#2 - 2013-05-21 11:33 - Robert Lemke
- Priority changed from Should have to Could have
- Target version set to 2.0

#3 - 2013-07-01 14:56 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20830

#4 - 2013-07-01 14:57 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20830

#5 - 2013-08-14 15:35 - Karsten Dambekalns
- Target version changed from 2.0 to 2.0.1

#6 - 2013-11-01 14:20 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20830

#7 - 2013-12-06 00:33 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/20830

#8 - 2013-12-13 15:28 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/20830
#9 - 2013-12-13 15:36 - Dominique Feyer
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:32283a2a6e84eda922602d27075e7e6df1ecb943.

#10 - 2013-12-13 15:36 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch 2.0 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26385

#11 - 2014-01-16 10:50 - Gerrit Code Review

Patch set 1 for branch 2.1 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/26869

#12 - 2014-03-19 13:38 - Adrian Föder
- Status changed from Under Review to Resolved
